Subject: imagemagick and generation of leim files

From: Glenn Morris <[email-masked]>
Date: Sat, 19 May 2012 16:10:22 -0400

Package: emacs
Version: 24.1.50

Since Imagemagick support was enabled by default, I see this when
bootstrapping leim with Imagemagick support:
   
   Converting pinyin.map to PY.el...
   Type C-c C-c to view the image as an image.
   Cannot display image: (Display does not support images)
   Converting pinyin.map to PY.el...done
   
   Converting ziranma.cin to ZIRANMA.el...
   Type C-c C-c to view the image as an image.
   Cannot display image: (Display does not support images)
   Converting ziranma.cin to ZIRANMA.el...done

(memq 'CIN (imagemagick-types)) -> (CIN CIP ...)

Maybe this doesn't actually affect anything, but it should not be happening.

For me, there are 209 elements in (imagemagick-types).
I have no idea what most of them are, but I can't help thinking this kind
of thing is going to happen in other situations.